    001    /* ===========================================================
    002     * JFreeChart : a free chart library for the Java(tm) platform
    003     * ===========================================================
    004     *
    005     * (C) Copyright 2000-2005, by Object Refinery Limited and Contributors.
    006     *
    007     * Project Info:  http://www.jfree.org/jfreechart/index.html
    008     *
    009     * This library is free software; you can redistribute it and/or modify it
    010     * under the terms of the GNU Lesser General Public License as published by
    011     * the Free Software Foundation; either version 2.1 of the License, or
    012     * (at your option) any later version.
    013     *
    014     * This library is distributed in the hope that it will be useful, but
    015     * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
    016     * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public
    017     * License for more details.
    018     *
    019     * You should have received a copy of the GNU Lesser General Public
    020     * License along with this library; if not, write to the Free Software
    021     * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301,
    022     * USA.
    023     *
    024     * [Java is a trademark or registered trademark of Sun Microsystems, Inc.
    025     * in the United States and other countries.]
    026     *
    027     * -------------------
    028     * XYURLGenerator.java
    029     * -------------------
    030     * (C) Copyright 2002-2005, by Richard Atkinson and Contributors.
    031     *
    032     * Original Author:  Richard Atkinson;
    033     * Contributors:     David Gilbert (for Object Refinery Limited);
    034     *
    035     * $Id: XYURLGenerator.java,v 1.4.2.1 2005/10/25 20:59:31 mungady Exp $
    036     *
    037     * Changes:
    038     * --------
    039     * 05-Aug-2002 : Version 1, contributed by Richard Atkinson;
    040     * 09-Oct-2002 : Fixed errors reported by Checkstyle (DG);
    041     * 20-Jan-2005 : Minor Javadoc update (DG);
    042     *
    043     */
    044
    045    package org.jfree.chart.urls;
    046
    047    import org.jfree.data.xy.XYDataset;
    048
    049    /**
    050     * Interface for a URL generator for plots that uses data from an
    051     * {@link XYDataset}.
    052     *
    053     * @author Richard Atkinson
    054     */
    055    public interface XYURLGenerator {
    056
    057        /**
    058         * Generates a URL for a particular item within a series. As a guideline,
    059         * the URL should be valid within the context of an XHTML 1.0 document.
    060         *
    061         * @param dataset  the dataset (<code>null</code> not permitted).
    062         * @param series  the series index (zero-based).
    063         * @param item  the item index (zero-based).
    064         *
    065         * @return A string containing the generated URL (possibly
    066         *         <code>null</code>).
    067         */
    068        public String generateURL(XYDataset dataset, int series, int item);
    069
    070    }